#pragma once

#include "CoreMinimal.h"
#include "CurseAbilityCondition.h"
#include "GameplayTagContainer.h"
#include "QueryCurseAbilityCondition.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class DBDKILLERABILITIES_API UQueryCurseAbilityCondition : public UCurseAbilityCondition
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere)
	TArray<FGameplayTagQuery> _queries;

public:
	UQueryCurseAbilityCondition();
};

FORCEINLINE uint32 GetTypeHash(const UQueryCurseAbilityCondition) { return 0; }
